OpenCCM is a CFD-based compartment modelling software package. It is primarily intended for convection dominated reactive flows which feature a weak or one-way coupling between the reactive species and the carrier fluid, i.e. the reaction does not substantially influent the fluid flow over the course of the simulation. OpenCCM supports CFD results from OpenCMP and OpenFOAM, and has been written in such a way that support for other simulation packages can be easily added. It provides built-in post-processing for calculating residence time distributions and can output compartment model simulation results in either ParaView format or the original simulation packages' native format for use as input in subsequent CFD simulations.

OpenCCM development follows the principles of ease of use, performance, and extensibility. The configuration file-based user interface is intended to be concise, readable, and intuitive. Similarly, the code base is structured such that experienced users can support for their simulation package of choice with minimal modifications to existing code. OpenCCM comes with built-in support for performing reactive flow simulations with the compartment model. Reactions are specified by the user on a per-reaction basis in the form for (A + B -> C + D) and are automatically parsed into ODEs. Spatial discretization, if needed, is performed using the finite difference scheme.

Examples and tutorial files can be found in the "examples" directory.